diff --git a/src/xutf8/imKStoUCS.c b/src/xutf8/imKStoUCS.c
index 0af9a80..aa67020 100644
--- a/src/xutf8/imKStoUCS.c
+++ b/src/xutf8/imKStoUCS.c
@@ -266,7 +266,7 @@ static unsigned short const keysym_to_unicode_20a0_20ac[] = {
     0x20a8, 0x20a9, 0x20aa, 0x20ab, 0x20ac                          /* 0x20a8-0x20af */
 };
 
-unsigned int
+static unsigned int
 KeySymToUcs4(KeySym keysym)
 {
     /* 'Unicode keysym' */
diff --git a/src/xutf8/is_right2left.c b/src/xutf8/is_right2left.c
index 7b49af1..0dfff67 100644
--- a/src/xutf8/is_right2left.c
+++ b/src/xutf8/is_right2left.c
@@ -18,7 +18,7 @@
  * This file is required on all platforms for utf8 support
  */
 
-unsigned short 
+static unsigned short
 XUtf8IsRightToLeft(unsigned int ucs) {
 
 #if 0
diff --git a/src/xutf8/ucs2fontmap.c b/src/xutf8/ucs2fontmap.c
index e907652..8446b08 100644
--- a/src/xutf8/ucs2fontmap.c
+++ b/src/xutf8/ucs2fontmap.c
@@ -57,7 +57,7 @@ typedef struct {
 /*************** conv_gen.c ************/
 
 /*const*/
-int ucs2fontmap(char *s, unsigned int ucs, int enc) {
+static int ucs2fontmap(char *s, unsigned int ucs, int enc) {
   switch(enc) {
   case 0:	/* iso10646-1 */
     s[0] = (char) ((ucs & 0xFF00) >> 8);
@@ -298,7 +298,7 @@ int ucs2fontmap(char *s, unsigned int ucs, int enc) {
 }
 
 /*const*/
-int encoding_number(const char *enc) {
+static int encoding_number(const char *enc) {
   if (!enc || !strncmp(enc, "iso10646-1", 10)) {
     return 0;
   } else if (!strcmp(enc, "iso8859-1")) {
diff --git a/src/xutf8/utf8Input.c b/src/xutf8/utf8Input.c
index 7fe33c4..e325de7 100644
--- a/src/xutf8/utf8Input.c
+++ b/src/xutf8/utf8Input.c
@@ -52,7 +52,7 @@ typedef struct {
 #include "lcUniConv/jisx0212.h"
 #include "lcUniConv/ksc5601.h"
 
-int 
+static int
 XConvertEucTwToUtf8(char* buffer_return, int len) {
   /* FIXME */
 #ifdef HAVE_LIBC_ICONV
@@ -119,7 +119,7 @@ XConvertEucTwToUtf8(char* buffer_return, int len) {
   return l;
 }
 
-int 
+static int
 XConvertEucKrToUtf8(char* buffer_return, int len) {
   int i = 0, l = 0;
   char *buf;
@@ -159,7 +159,7 @@ XConvertEucKrToUtf8(char* buffer_return, int len) {
   return l;
 }
 
-int 
+static int
 XConvertBig5ToUtf8(char* buffer_return, int len) {
   int i = 0, l = 0;
   char *buf;
@@ -188,7 +188,7 @@ XConvertBig5ToUtf8(char* buffer_return, int len) {
   return l;
 }
 
-int 
+static int
 XConvertCp936extToUtf8(char* buffer_return, int len)
 {
   int i = 0, l = 0;
@@ -225,7 +225,7 @@ XConvertCp936extToUtf8(char* buffer_return, int len)
   return l;
 }
 
-int 
+static int
 XConvertGb2312ToUtf8(char* buffer_return, int len) {
   int i = 0, l = 0;
   char *buf;
@@ -260,7 +260,7 @@ XConvertGb2312ToUtf8(char* buffer_return, int len) {
   return l;
 }
 
-int 
+static int
 XConvertEucCnToUtf8(char* buffer_return, int len) {
   int i = 0, l = 0;
   char *buf;
@@ -299,7 +299,7 @@ XConvertEucCnToUtf8(char* buffer_return, int len) {
   return l;
 }
 
-int 
+static int
 XConvertEucJpToUtf8(char* buffer_return, int len) {
   int i = 0, l = 0;
   char *buf;
@@ -372,7 +372,7 @@ XConvertEucJpToUtf8(char* buffer_return, int len) {
   return l;
 }
 
-int
+static int
 XConvertEucToUtf8(const char*	locale,
 		  char*		buffer_return, 
 		  int		len, 
diff --git a/src/xutf8/utf8Wrap.c b/src/xutf8/utf8Wrap.c
index 89a1680..9f12c93 100644
--- a/src/xutf8/utf8Wrap.c
+++ b/src/xutf8/utf8Wrap.c
@@ -203,7 +203,7 @@ get_encodings(char	**font_name_list,
 /*********************************************************************/
 /** find the first font which matches the name and load it.	    **/
 /*********************************************************************/
-XFontStruct *
+static XFontStruct *
 find_best_font(Display  *dpy,
 	       char     **name) {
 
